Bug 890474 - [KDE] ibus input disabled in libreoffice when window loses focus
[KDE] ibus input disabled in libreoffice when window loses focus
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
: Reopened
: 910954 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 02:46 EST by Ed Greshko
Modified: 2015-07-13 13:37 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:36:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
1st screenshot (310.16 KB, image/jpeg)
2012-12-27 02:46 EST, Ed Greshko
no flags Details
2nd screenshot (239.38 KB, image/jpeg)
2012-12-27 02:47 EST, Ed Greshko
no flags Details
3rd screenshot (283.78 KB, image/jpeg)
2012-12-27 02:47 EST, Ed Greshko
no flags Details
4th screenshot (237.47 KB, image/jpeg)
2012-12-27 02:48 EST, Ed Greshko
no flags Details
Screen shot showing problem is not fixed.... (270.53 KB, image/jpeg)
2013-06-04 18:39 EDT, Ed Greshko
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 63802 None None None Never

  None (edit)
Description Ed Greshko 2012-12-27 02:46:26 EST
Created attachment 669534 [details]
1st screenshot

Description of problem: Not sure if this is an ibus, libreoffice, or KDE issue.  However, if you bring up libreoffice writer and then ctrl-shift to enter Chinese, for example, but then change you focus to another window you can no longer enter Chinese in libreoffice.  Other apps, such as konsole, continue to response "correctly".


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Ctrl-Sift and select input method.
2. Start libreoffice writer
3. Enter Chinese, for example
4. Move cursor to konsole and allow it to gain focus
5. Move back to libreoffice
6. Not possible to enter Chinese.  Even restarting ibus doesn't help.
  
Actual results:


Expected results:


Additional info: See attached screen shots in sequence.  Verified on "real" system as well as a VM
Comment 1 Ed Greshko 2012-12-27 02:47:11 EST
Created attachment 669536 [details]
2nd screenshot
Comment 2 Ed Greshko 2012-12-27 02:47:59 EST
Created attachment 669537 [details]
3rd screenshot
Comment 3 Ed Greshko 2012-12-27 02:48:33 EST
Created attachment 669538 [details]
4th screenshot
Comment 4 Ed Greshko 2012-12-27 04:15:59 EST
Upon further testing I've found that the problem only exists on a system where KDE was installed after GNOME.  I have a KDE only VM and the problem does not exist in that environment.
Comment 5 fujiwara 2012-12-31 09:41:38 EST
(In reply to comment #4)
> Upon further testing I've found that the problem only exists on a system
> where KDE was installed after GNOME.  I have a KDE only VM and the problem
> does not exist in that environment.

Probably I don't think it depends on the installation.
Comment 6 fujiwara 2012-12-31 09:53:18 EST
When I use libreoffice on KDE, the behavior is different between f17 and f18.
In f17, neither set focus and unset focus event is called in XIM protocol with libreoffice.
In f18, set focus event only is called with libreoffice but both set focus and unset focus event is called with xterm and libreoffice has this problem but xterm does not have so probably I think this problem is caused by libreoffice.

The following is the stack from ibus-x11 with libreoffice:

#0  xim_set_ic_focus (xims=0x1510850, call_data=0x7fff8455e010) at main.c:417
#1  0x0000000000404fc3 in ims_protocol_handler (xims=0x1510850, call_data=
    0x7fff8455e010) at main.c:791
#2  0x0000000000411dd5 in SetICFocusMessageProc (ims=0x1510850, call_data=
    0x7fff8455e010, p=0x15505d4 "\002") at i18nPtHdr.c:883
#3  0x0000000000413924 in _Xi18nMessageHandler (ims=0x1510850, connect_id=2, p=
    0x15505d0 ":", delete=0x7fff8455e16c) at i18nPtHdr.c:1752
#4  0x000000000040a98b in WaitXIMProtocol (dpy=0x14f3020, win=71303174, ev=
    0x7fff8455e1a0, client_data=0x1510850 " \264a") at i18nX.c:512
#5  0x0000003028861dd1 in _gdk_events_queue () from /lib64/libgdk-x11-2.0.so.0
#6  0x0000003028861ebe in gdk_event_dispatch () from /lib64/libgdk-x11-2.0.so.0
#7  0x000000300a047a95 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#8  0x000000300a047dc8 in g_main_context_iterate.isra.24 ()
   from /lib64/libglib-2.0.so.0
#9  0x000000300a0481c2 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#10 0x000000302814ab47 in gtk_main () from /lib64/libgtk-x11-2.0.so.0
#11 0x0000000000406342 in main (argc=2, argv=0x7fff8455e518) at main.c:1220

Transferring to libreoffice.
Comment 7 fujiwara 2013-02-18 04:03:24 EST
*** Bug 910954 has been marked as a duplicate of this bug. ***
Comment 8 Ed Greshko 2013-02-21 00:04:45 EST
FWIW, I installed only KDE in a VM and it still fails for me....
Comment 9 Ed Greshko 2013-05-03 11:47:29 EDT
This still fails in F19 Beta TC2
Comment 10 Ed Greshko 2013-05-22 00:30:09 EDT
FWIW, I have downloaded and tested LO 4.0.3 from the LibreOffice website and it is fixed in that version.....

Any chance of getting 4.X for F18 and/or F19 ASAP?
Comment 11 Ed Greshko 2013-05-22 00:40:01 EDT
Sorry....  Just realized I had the wrong VM open....

F19 has LO 4.0.3 and the problem is fixed.

Any chance of getting this for F18
Comment 12 Caolan McNamara 2013-05-22 08:44:38 EDT
All the talk of KDE threw me off, this must be fdo#63802 which I fixed upstream. Yes I can backport that easily enough.
Comment 13 Ed Greshko 2013-05-22 10:14:35 EDT
Great....  Look forward to testing soon.
Comment 14 Fedora Update System 2013-05-23 10:14:18 EDT
libreoffice-3.6.6.2-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-7.fc18
Comment 15 Fedora Update System 2013-05-24 09:16:43 EDT
libreoffice-3.6.6.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-8.fc18
Comment 16 Ed Greshko 2013-05-24 21:34:13 EDT
This latest update has not fixed this issue.  :-(
Comment 17 Fedora Update System 2013-05-25 08:15:21 EDT
Package libreoffice-3.6.6.2-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.6.6.2-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9165/libreoffice-3.6.6.2-7.fc18
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2013-06-04 17:06:59 EDT
libreoffice-3.6.6.2-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Ed Greshko 2013-06-04 18:39:06 EDT
Created attachment 756978 [details]
Screen shot showing problem is not fixed....

First, note that libreoffice-core-3.6.6.2-8.fc18.x86_64 has been installed looking at the output in konsole.

Next, note that Intelligent Pinyin is enabled by the appearance of the Chinese character on the systray.

楊 (yang) has been typed on the first line.
The mouse is then moved to konsole and focus is grabbed
Move back to libreoffice and type yang again..... no ibus, no Chinese.
Comment 20 Ed Greshko 2013-06-04 18:40:45 EDT
I'm not sure why this bugzilla was closed in the first place.  I note in #16 this has not been fixed.  I also gave negative karma.
Comment 21 Fedora Update System 2013-06-06 09:50:13 EDT
libreoffice-3.6.6.2-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-9.fc18
Comment 22 Ed Greshko 2013-06-06 10:09:11 EDT
Sorry to say that the latest version still does not fix this bug......

Same as #19 Comment
Comment 23 Fedora Update System 2013-06-16 01:30:56 EDT
libreoffice-3.6.6.2-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Ed Greshko 2013-06-16 04:43:01 EDT
As mentioned above....  This release of libreoffice does *not* fix the reported problem.  :-(
Comment 25 Caolan McNamara 2013-06-17 06:19:04 EDT
yeah, the catch is that one it gets into the list it gets stuck in the list for every update after that that supercedes the previous
Comment 26 Caolan McNamara 2013-10-08 06:58:34 EDT
out of resources for investigating backports for f18, sorry
Comment 27 Ed Greshko 2013-10-08 21:38:49 EDT
The reported problem exists in F20-TC2 !

However, if I download and install LibreOffice from libreoffice.org the problem does not exist.
Comment 28 Ed Greshko 2013-10-10 22:06:45 EDT
FWIW, the discussion on the "test" list suggests the problem is introduced by packaging of LibreOffice for Fedora.

https://lists.fedoraproject.org/pipermail/test/2013-October/118256.html

This is an ongoing and annoying issue which I hope can be addressed.  I dislike having to use the packages from LibreOffice.org.
Comment 29 Caolan McNamara 2013-10-11 06:00:12 EDT
upstream builds against KDE3, we build against KDE4, different upstream implementations of the two backends, i.e. not a packaging bug but probably a standard upstream bug, just not exposed in the upstream builds because there KDE4 is not included
Comment 30 Ed Greshko 2013-10-11 10:28:07 EDT
So, are you saying that a fix for this needs to wait until upstream builds against KDE4?  Nothing can be done until then?
Comment 31 Ed Greshko 2013-10-11 10:47:17 EDT
OK....  Your answer on the test list clarified things a bit more.  Thanks.
Comment 32 Fedora End Of Life 2015-05-29 04:50:04 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 33 Fedora End Of Life 2015-06-29 20:36:32 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.